Funds

Limits

GET
/api/oms/limits

to get the limits

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/oms/limits" \  -H "Authorization: Bearer <api Key>:<access token>"
{
  "s": "ok",
  "d": [
    {
      "segment": "NSE",
      "totalCredits": 75000,
      "availMargin": 45230.75,
      "availCash": 45230.75,
      "marginUsed": 29769.25,
      "payIn": 10000,
      "payOut": 0,
      "realizedPnl": 1250.5,
      "unrealizedPnL": -320.25
    }
  ]
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}